All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::internal::ThreadLocal< T > Class Template Reference

## Public Member Functions

| ThreadLocal (const T &value)
T * | pointer ()
const T * | pointer () const
const T & | get () const
void | set (const T &value)

## Detailed Description

### template<typename T>
class testing::internal::ThreadLocal< T >

Definition at line 2162 of file gtest-port.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-port.h